Bug Hunting Session
Bug 122931 - CRASH: GTK3: Closing Bullet and Numbering Dialog after showing the graphics gallery
Summary: CRASH: GTK3: Closing Bullet and Numbering Dialog after showing the graphics g...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-01-24 13:36 UTC by Xisco Faulí
Modified: 2019-01-25 10:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-24 13:36:10 UTC
Steps to reproduce:
1. Open Writer
2. Go to Format - Bullet and Numbering
3. Customize tab
4. Number -> Graphics
5. Graphics - Select - Gallery - Select any
6. Close the dialog
-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 0d46fb02f3f19d11db40b6c5335d78a3894502d7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-01-24 13:38:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6b4ea2d8ddd681fec98773d7e0bbec9657a1fc08

author	Caolán McNamara <caolanm@redhat.com>	2019-01-08 16:48:20 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-01-08 22:00:37 +0100
commit	6b4ea2d8ddd681fec98773d7e0bbec9657a1fc08 (patch)
tree	d2be9c485a3dda67150fe8cc951eec3ddd160c8a
parent	79358a7588e1d5f02b8f9bf1ba9feb316af7f2a5 (diff)
tdf#122527 dot symbols in chart menubutton not working

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-01-24 19:03:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8e8de0a1c8ca88fb8b91ca44e260a87b93057379%5E%21

Resolves: tdf#122931 crash on closing b&n dialog after gallery menu activated

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2019-01-24 21:11:21 UTC
fixed in master, backports in gerrit
Comment 4 Commit Notification 2019-01-25 08:34:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/cf185ecb5a3cd2f71a5fdf9960a05c521e489521%5E%21

Resolves: tdf#122931 crash on closing b&n dialog after gallery menu activated

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-01-25 10:02:08 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: a6358f1c1b8f981345061b0cbb708df707a5b7b8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!